Skip to main content
GET
Get All Tools

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace
string
required

Slug of the workspace the request acts in

Maximum string length: 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Query Parameters

include
string
default:code,mcp

Comma-separated list of tool types to include (code, mcp)

mcp_instance_id
string<uuid> | null

Filter MCP tools by specific instance ID

Response

Successful Response

description
string
required
name
string
required
type
enum<string>
required
Available options:
code,
mcp
available_methods
ToolMethodResponse · object[]
category
string
default:""
display_name
string
default:""
group
string | null
Allowed value: "sandbox"
input_schema
Input Schema · object
mcp_instance_id
string<uuid> | null
mcp_instance_name
string | null
plane
enum<string> | null
Available options:
runtime,
build,
operate,
observe,
govern,
federate
requires_user_confirmation
boolean
default:false